ClipboardImporter
Class defined in ui/ClipboardImporter.js#16 inherits from

Import HTML from clipboard. Used for inter-application copy'n'paste.

new ClipboardImporter()
Constructor defined in ui/ClipboardImporter.js#18
this.importDocument()
Method defined in ui/ClipboardImporter.js#44

Parses HTML and applies some sanitization/normalization.

this.convertBody(body)
Method defined in ui/ClipboardImporter.js#123

Converts all children of a given body element.

Parameters

body | String | body element of given HTML document

this.createDocument()
Method defined in ui/ClipboardImporter.js#159

Creates substance document to paste.

Returns

Document | the document instance